import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { PriceDisplayType } from "./PriceDisplayType";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { ITrendLineManager } from "./ITrendLineManager";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Pool$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { GeometryGroup } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    rr: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    sb: Brush;
    static readonly r1: DependencyProperty;
    trendLineThickness: number;
    se: PenLineCap;
    sd: DoubleCollection;
    trendLinePeriod: number;
    rv: number;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    rs: PriceDisplayType;
    protected bj(): SeriesHitTestMode;
    n2(a: Point): Rect;
    private rq;
    ak(a: Point): Rect[];
    dy(a: Point, b: boolean): boolean;
    protected d1(a: Point, b: boolean): boolean;
    protected kp(a: any, b: string, c: any, d: any): void;
    private r0;
    ao(a: Axis): AxisRange;
    ap(a: Rect): AxisRange;
    fa(): number;
    dq(a: any): boolean;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    q7(a: CategoryFrame, b: FinancialSeriesView): void;
    jl(a: boolean, b: SeriesView): void;
    protected ln(a: Rect, b: Rect): void;
    n7(): Thickness;
    protected get_cu(): boolean;
    q9(a: CategoryFrame, b: FinancialSeriesView): void;
    e9(): number;
    private rz;
    private rt;
    private ry;
    gw(a: any, b: Point): any;
    protected lg(): void;
    protected jv(a: any): void;
    sc: Brush;
    k8(a: Brush, b: Brush): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    static $t: Type;
    protected b3: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    b6: Pool$1<Path>;
    co(): Path;
    protected b9: List$1<Path>;
    ce(a: Path): void;
    cg(a: Path): void;
    cf(a: Path): void;
    protected by(): FinancialBucketCalculator;
    as(): void;
    private cn;
    private cm;
    private b4;
    b5: ITrendLineManager;
    readonly b7: boolean;
    ch(): void;
    cb(): void;
    ca(): void;
    ck(): GeometryGroup;
    cj(): GeometryGroup;
    ci(): void;
    protected bb(): void;
    protected bc(): void;
    protected ac(a: number): any;
    private cl;
    protected ab(a: number): any;
    protected a6(a: RenderingContext, b: boolean): void;
    protected a5(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    cc(): void;
    b8: boolean;
    cd(): void;
}
